package com.fastest.pass.account.domain.usecase

import com.fastest.pass.account.data.remote.AccountApiService
import com.fastest.pass.account.domain.repository.AccountRepository
import com.fastest.pass.app.BaseUseCase
import com.fastest.pass.app.WebResponse
import java.util.Objects
import javax.inject.Inject

class AccountUseCase @Inject constructor(
    private val accountRepository: AccountRepository
) : BaseUseCase<String, WebResponse<Objects>>() {
    override suspend fun execute(params: String): WebResponse<Objects> {
        return accountRepository.accountRepository()
    }

}